Retrieve Latest Release for a Device
GET/api/v0/releases/latest
For a given Device (Device Unique Identifier and Hardware Version), return the latest Release that should be installed.
| Query Parameter | Type | Description |
|---|---|---|
hardware_version Required | String | Hardware Version of the Device |
software_type Required | String | Software Type being looked up for the Device |
current_version Suggested | String | The Software Version that the Device is currently running (used for hopping through versions) |
device_serial Required | String | The Device serial to identify a particular device (used for determining the Cohort) |
NOTE: This endpoint requires that the sender use a custom HTTP header defining the Memfault Project Client Key.
Memfault-Project-Key: 87c2ca9d3ec148ac82034fc2724ff614
Note: More details about version nomenclature can be found here.
Return Value
200 Ok— Returns a Release Schema if an update is available. The artifact URL(s) contained within will be direct links to OTA payloads served from Memfault's CDN. These URLs have an expiry of 6 hours.204 No Content— No new release available for the given device.400 Bad Request—hardware_versionorsoftware_typedon't exist, ordevice_serialis missing.403 Unauthorized— Project Key is missing or invalid.503 Service Unavailable— Retry after the interval specified in theRetry-Afterresponse header.
Request
Responses
- 200